+13
Fixed

ScreenConnect Client install has incomplete information to connect.

brian.schmalz 3 years ago updated by Eric Davis 1 year ago 20

When connecting to a session I get a popup that there is an update.


When trying to install the update I get this.


http://take.ms/MYTZI

ConnectWise Control Version:
1
Server Affected:
Host Client Affected:
Guest Client Affected:
+1

I'm also experiencing this on version 6.6.18120.6697


It seems to happen when I upgrade a client with my self hosted ScreenConnect version but the client also has another instance of the software installed from the cloud hosted version.

+2

Having this same issue...

Same issue here.  This is on a standalone laptop.  

+1

This has always been an issue for me. Whenever there is a version update I always have to uninstall the client from Control Panel and then when connecting again the installer works correctly. Just had to do it again today. It would be nice to have a proper fix for this.

Edit: To clarify: I am referring to my computer as host which doesn't have the guest client installed (intentional). The automatic update/reinstall on the client computers works fine. 

Same thing happening to me.  Currently on 19.0.23665.7058, but the issue has been present for multiple previous versions.

This started happening for us after adding the "RelayAddressableUri" key to web.config AND upgrading to 2019.0.

Could someone confirm if this might be an issue with that key?

+2
Started

We expect to have this fixed in 19.2. (Still a work in progress at the moment.)

Thank you Eric!!

Is there any workaround for this?

Manually uninstalling screenconnect from the technician's computer prior to launching the client. As far as i know. 

Had this issue going from 19.1 to 19.2 this morning. Had to manually uninstall and then select "windows installer" when the connection screen came up.

been having this issue for months. still present in  19.2.24707.7131

Was that going from 19.1 to 19.2 or when going from 19.2 to 19.3?

i'm hesitant to say but i have a hunch it started happening in 16.9 and every revision since. ive brought it up before

I didn't have this issue until going from 19.1.24050.7079 to 19.2.24707.7131. We had run 6.9.21691.6956 prior as well as 6.9.21415.6941 before that.

Ok, just went from 19.1 to 19.2 last night and did the following. 

My PC

1) Launch a session from Control (Web) worked perfectly. 

2) Launch a session from Automate (Thick) worked


Then i had my coworker try except in reverse. 

1) Launch a session from Automate (Thick) worked

2) Launch a session from Control (Web) broke

          - Received Error about the install having incomplete information. 

Maybe this is what's happening to others. It's hard for me to reproduce as we're still standing up Automate and i don't have many to test with yet. Can anyone else reproduce?

Well, bummer... I had a few more guys try this morning and some of them are still getting the client update error. Works on some systems but not others.

We don't use Automate, only Control. We are strictly web

The guys on our team that are having the issue that have never used Automate. Just Control. 

I was initially hoping that it was only me because i was testing out automate.. Well, I'm assuming i'm going to be plagued with phone calls today asking me how to update the control host. 


This is our first upgrade being live. 

Fixed

Late update, but this was fixed in 19.4.

Commenting disabled